The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache Update ( WHM ) Error Message

Discussion in 'EasyApache' started by ezztro, Oct 18, 2005.

  1. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    Hello,

    i have some errormessages when i update Apache from WHM. System new.
    Fedora Core 3

    Error 1:

    /home/cpapachebuild/buildapache/php-4.3.11/ext/swf/swf.c:256: error: label at end of compound statement
    make: *** [ext/swf/swf.lo] Error 1
    make: *** Waiting for unfinished jobs...

    Error 2

    /home/cpapachebuild/buildapache/php-4.3.11/ext/swf/swf.c:256: error: label at end of compound statement
    make: *** [ext/swf/swf.lo] Error 1
    /etc/rc.d/init.d/httpd start: httpd started

    Next Error

    /home/cpapachebuild/buildapache/php-4.3.11/ext/swf/swf.c:256: error: label at end of compound statement
    make: *** [ext/swf/swf.lo] Error 1
    make: *** Waiting for unfinished jobs....

    make php-4.3.11...(install).... Done

    /home/cpapachebuild/buildapache/php-4.3.11/ext/swf/swf.c:256: error: label at end of compound statement
    make: *** [ext/swf/swf.lo] Error 1

    How can i fix this prob ?
     
  2. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    It seems that you're using an old gcc compiler like gcc-3.4.x. You need to upgrade to a newer version to get an error free installation of Php.
     
  3. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    Ok, i will check this
     
  4. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    hm,

    gcc 3.4.4

    I have 2 Servers.

    1 with Red Hat 9 and gcc 3.4.4. and no problemes with apache build

    1 x Fedora Core 3 and gcc 3.4.4. and a lot of error messages... :(
     
  5. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    I don't recommend using FC on a production server. It is buggy ;)
     
  6. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Using php v4.4.0 instead of v4.3.x fixes this.
     
Loading...

Share This Page